Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface AMXConfig

All Superinterfaces:
  AMX, AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter

All Known Subinterfaces:
  AccessLogConfig, AdminObjectResourceConfig, AdminServiceConfig, AppClientModuleConfig, AuditModuleConfig, AuthRealmConfig, AvailabilityServiceConfig, ClusterConfig, ClusteredServerConfig, ConfigConfig, ConfigElement, ConnectionPoolConfig, ConnectorConnectionPoolConfig, ConnectorModuleConfig, ConnectorResourceConfig, ConnectorServiceConfig, CustomResourceConfig, DASConfig, DeployedItemRefConfig, DomainConfig, EJBContainerAvailabilityConfig, EJBContainerConfig, EJBModuleConfig, EJBTimerServiceConfig, HealthCheckerConfig, HTTPAccessLogConfig, HTTPFileCacheConfig, HTTPListenerConfig, HTTPProtocolConfig, HTTPServiceConfig, IIOPListenerConfig, IIOPServiceConfig, J2EEApplicationConfig, JACCProviderConfig, JavaConfig, JDBCConnectionPoolConfig, JDBCResourceConfig, JMSHostConfig, JMSResourceConfig, JMSServiceConfig, JMXConnectorConfig, JNDIResourceConfig, KeepAliveConfig, LBClusterRefConfig, LBConfig, LifecycleModuleConfig, LogServiceConfig, MailResourceConfig, ManagerPropertiesConfig, MDBContainerConfig, MessageSecurityConfig, ModuleConfig, ModuleLogLevelsConfig, ModuleMonitoringLevelsConfig, MonitoringServiceConfig, NamedConfigElement, NodeAgentConfig, ORBConfig, PersistenceManagerFactoryResourceConfig, ProfilerConfig, ProviderConfig, QuorumServiceConfig, RARModuleConfig, RefConfig, RequestPolicyConfig, RequestProcessingConfig, ResourceAdapterConfig, ResourceConfig, ResourceRefConfig, ResponsePolicyConfig, SecurityServiceConfig, ServerConfig, ServerRefConfig, SessionConfig, SessionManagerConfig, SessionPropertiesConfig, SSLConfig, StandaloneServerConfig, StorePropertiesConfig, SystemPropertiesConfig, ThreadPoolConfig, TransactionServiceConfig, VirtualServerConfig, WebContainerAvailabilityConfig, WebContainerConfig, WebModuleConfig

public interface AMXConfig
extends AMX

All Config MBeans must extend this interface, whether they represent elements or whether they are managers. Extending this interface implies that the class is part of the API for configuration.

All AMXConfig s are required to implement NotificationEmitter. A Config must issue `AttributeChangeNotification` when changes are made to the configuration.

Field Summary
`static java.lang.String` | `CONFIG_CREATED_NOTIFICATION_TYPE` The type of the Notification emitted when a config element is created.
`static java.lang.String` | `CONFIG_OBJECT_NAME_KEY` The key within the Notification's Map of type CONFIG_REMOVED_NOTIFICATION_TYPE which yields the ObjectName of the created or removed config.
`static java.lang.String` | `CONFIG_REMOVED_NOTIFICATION_TYPE` The type of the Notification emitted when a config element is removed.

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CONFIG_CREATED_NOTIFICATION_TYPE

    public static final java.lang.String CONFIG_CREATED_NOTIFICATION_TYPE

  The type of the Notification emitted when a config element is created.

  See Also:
    Constant Field Values

### CONFIG_REMOVED_NOTIFICATION_TYPE

    public static final java.lang.String CONFIG_REMOVED_NOTIFICATION_TYPE

  The type of the Notification emitted when a config element is removed.

  See Also:
    Constant Field Values

### CONFIG_OBJECT_NAME_KEY

    public static final java.lang.String CONFIG_OBJECT_NAME_KEY

  The key within the Notification's Map of type CONFIG_REMOVED_NOTIFICATION_TYPE which yields the ObjectName of the created or removed config.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.